org.apache.ant.compress.taskdefs

## Class Cpio

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ant.compress.taskdefs.ArchiveBase
      - - org.apache.ant.compress.taskdefs.Cpio

- All Implemented Interfaces:
    java.lang.Cloneable

      public class Cpio
      extends ArchiveBase

  Creates cpio archives.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cpio.Format` The supported cpio formats.

    - ### Nested classes/interfaces inherited from class org.apache.ant.compress.taskdefs.ArchiveBase

      `ArchiveBase.Duplicate, ArchiveBase.EntryBuilder, ArchiveBase.FileSetBuilder, ArchiveBase.Mode, ArchiveBase.ResourceCollectionFlags, ArchiveBase.ResourceFlags, ArchiveBase.ResourceWithFlags, ArchiveBase.WhenEmpty`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cpio()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setBlockSize(int size)` The blocksize to use.
    `void` | `setFormat(Cpio.Format f)` The format to use.

    - ### Methods inherited from class org.apache.ant.compress.taskdefs.ArchiveBase

      `add, addConfiguredDest, addDuplicate, bendSlashesForward, ensureParentDirs, execute, findSources, findUnmatchedTargets, getDest, getEncoding, getEntryBuilder, getFactory, getFileSetBuilder, getFlags, getFlags, getMode, getPreserveLeadingSlashes, isFilesOnly, isUpToDate, round, setDest, setDestfile, setDuplicate, setEncoding, setEntryBuilder, setFactory, setFileSetBuilder, setFilesOnly, setMode, setPreserve0permissions, setPreserveLeadingSlashes, setRoundUp, setWhenempty, sort, validate, writeArchive`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Cpio

          public Cpio()

  - ### Method Detail

    - #### setFormat

          public void setFormat(Cpio.Format f)

      The format to use.

      Default is binary

    - #### setBlockSize

          public void setBlockSize(int size)

      The blocksize to use.

      Default is 512 bytes.